## percona-xtradb-cluster-5.7 5.7.20-29.24

=== debian/changelog ===
percona-xtradb-cluster-5.7 (5.7.20-29.24-0ubuntu2) bionic; urgency=medium

  * Add iproute|iproute2 dependency

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 08 Mar 2018 14:02:17 +0100

percona-xtradb-cluster-5.7 (5.7.20-29.24-0ubuntu1) bionic; urgency=low

  [ Corey Bryant ]
  * Initial Ubuntu package based on upstream Percona packaging.
  * d/control: Dropped percona-server-rocksdb-5.7 binary package that provides
    the MyRocks storage engine plugin.
  * d/control, d/libperconaserverclient20: Dropped libperconaserverclient20 binary
    package that provides the PXC database client library.
  * d/rules, d/bundle-boost.sh, d/README.source: Don't download boost during builds.
    Vendor boost 1.59.0 into orig tar file from:
    http://jenkins.percona.com/downloads/boost/boost_1_59_0.tar.gz
  * d/rules, d/control: Use gcc-6 as gcc-7 results in a broken PXC.
  * d/control: Set min percona-xtrabackup dependency to 2.4.4.
  * d/rules: Update CFLAGS and CXXFLAGS to enable successful build.
  * d/control: Dropping libnuma-dev from BDs. The code appears to test for
    availability of numa support and we didn't have a BD for it in 5.6
    (also libnuma-dev is not available for armhf).
  * d/control: Add BD on dh-python and drop duplicate debhelper BD.
  * d/p/*: Dropping patches to testsuite as they are disabled.
  * d/p/fix_tc_log_initialization_on_ppc64.patch, d/p/scripts__mysqld_safe.sh:
    Add patches from percona-xtradb-cluster-5.6.
  * d/*: Use datadir=/var/lib/percona-xtradb-cluster instead of /var/lib/mysql,
    aligning with PXC 5.6.
  * d/control, d/*: Limit binary packages to percona-xtradb-cluster-common-5.7,
    percona-xtradb-cluster-client-5.7, percona-xtradb-cluster-server-5.7,
    percona-xtradb-cluster-5.7-dbg, percona-xtradb-cluster-source-5.7, and
    percona-xtradb-cluster-garbd-5.7.
  * d/control: Add percona-xtradb-cluster-server metapackage.
  * d/percona-xtradb-cluster-server-5.7.mysql@.service,
    d/percona-xtradb-cluster-server-5.7.mysql.init,
    d/extra/default-mysql.bootstrap, d/rules,
    d/percona-xtradb-cluster-server-5.7.install: Enable bootstrapping from
    systemd unit file.

  [ James Page ]
  * d/*: wrap-and-sort.
  * d/rules,control: Strip package down to minimal set of binary packages inline
    with percona-xtradb-cluster-5.6 packaging.
  * d/percona-xtradb-cluster-server-5.7.install: Install configuration files
    directly in -server package rather than in -common package.
  * d/control: Align Breaks/Replaces with mysql variants in Ubuntu.
  * d/*.postinst,preinst,postrm,config: Tidy indententation, refactor and drop
    upstream percona parts.
  * d/*.prerm: Drop, standard debhelper generated version is sufficient.
  * d/percona-xtradb-cluster-server-5.7.postinst: Use mysql helper for managing
    alteratives for /etc/mysql/my.cnf.
  * d/percona-xtradb-cluster-server-5.7.preinst: Drop in-place sed of
    /etc/mysql/my.cnf; package provides its own version so no need to massage
    existing deployment configuration.
  * d/extra/percona-xtradb-cluster.conf.d/*: Align with PXC 5.6 packaging
    to support upgrades.
  * d/copyright: Resync copyright from PXC 5.6 and update headers for 5.7.
  * d/copyright: Add copyright for boost/*.
  * d/percona-xtradb-cluster-server-5.7.templates: Tidy and align with
    main MySQL and PXC 5.6 packages.
  * d/control: Add BD on libnuma-dev for supported archs.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 22 Feb 2018 14:19:42 +0000
