=== debian/control ===
Source: percona-xtradb-cluster-5.7
Section: database
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Percona Server Development Team <mysql-dev@percona.com>
Uploaders:
 George Lorch <george.lorch@percona.com>,
 Tomislav Plavcic <tomislav.plavcic@percona.com>,
 Raghavendra Prabhu <raghavendra.prabhu@percona.com>,
 Krunal Bauskar <krunal.bauskar@percona.com>,
Build-Depends:
 bison,
 check,
 cmake,
 debhelper (>= 10~),
 dh-python,
 fakeroot,
 file (>= 3.28),
 g++-6 (>= 4.4),
 gcc-6 (>= 4.4),
 libaio-dev [linux-any],
 libasio-dev,
 libboost-dev (>= 1.41),
 libboost-program-options-dev (>= 1.41),
 libldap2-dev,
 libmecab-dev,
 libncurses5-dev (>= 5.0-6),
 libnuma-dev [amd64 arm64 i386 ppc64el s390x],
 libpam-dev,
 libreadline-dev,
 libssl-dev,
 libtool (>= 1.4.2-7),
 libwrap0-dev,
 lsb-release,
 perl (>= 5.6.0),
 po-debconf,
 procps,
 psmisc,
 scons,
 zlib1g-dev (>= 1:1.1.3-5),
Standards-Version: 4.1.2
Homepage: http://www.percona.com/software/percona-xtradb-cluster/
Vcs-Git: https://github.com/percona/percona-xtradb-cluster

Package: percona-xtradb-cluster-5.7-dbg
Architecture: any
Section: debug
Depends:
 percona-xtradb-cluster-server-5.7 (= ${binary:Version}),
 ${misc:Depends},
Description: Debugging package for Percona XtraDB Cluster
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic
 node provisioning with primary focus on data consistency.
 .
 This package contains the debugging symbols for the Percona XtraDB Cluster binaries.

Package: percona-xtradb-cluster-server
Architecture: all
Depends:
 percona-xtradb-cluster-server-5.7,
 ${misc:Depends},
Description: Percona XtraDB Cluster database server
 This is a metapackage package that depends on the current "best" version of
 percona-xtradb-cluster-server, as determined by the Percona XtraDB Cluster
 maintainers.  Install this package if in doubt about which version
 you want, as this is the one considered to be in the best shape.

Package: percona-xtradb-cluster-server-5.7
Architecture: any
Suggests:
 netcat-openbsd,
 pv,
 qpress,
 tinyca,
Pre-Depends:
 adduser (>= 3.4.0),
 debconf (>= 0.2.17),
 mysql-common,
Depends:
 iproute|iproute2,
 libdbd-mysql-perl,
 libdbi-perl,
 lsb-base (>= 3.0-10),
 lsof,
 mysql-client,
 mysql-common (>= 5.6.19-1~exp2),
 passwd,
 percona-xtrabackup (>= 2.4.4),
 perl (>= 5.6),
 psmisc,
 rsync,
 socat,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 mysql-server,
 virtual-mysql-server,
 virtual-mysql-server-core,
Breaks:
 mariadb-server,
 mariadb-server-10.0,
 mariadb-server-5.5,
 mariadb-server-core-10.0,
 mariadb-server-core-5.5,
 mysql-server-5.0,
 mysql-server-5.1,
 mysql-server-5.5,
 mysql-server-5.6,
 mysql-server-5.7,
 mysql-server-core-5.1,
 percona-galera-3,
 percona-server-server-5.1,
 percona-server-server-5.5,
 percona-server-server-5.6,
 percona-server-server-5.7,
 percona-xtradb-cluster-server-5.5,
 percona-xtradb-cluster-server-5.6,
 percona-xtradb-server-5.0,
 virtual-mysql-server,
 virtual-mysql-server-core,
Replaces:
 mariadb-server,
 mariadb-server-10.0,
 mariadb-server-5.5,
 mariadb-server-core-10.0,
 mariadb-server-core-5.5,
 mysql-server-5.0,
 mysql-server-5.1,
 mysql-server-5.5,
 mysql-server-5.6,
 mysql-server-5.7,
 mysql-server-core-5.1,
 percona-galera-3,
 percona-server-server-5.1,
 percona-server-server-5.5,
 percona-server-server-5.6,
 percona-server-server-5.7,
 percona-xtradb-cluster-server-5.5,
 percona-xtradb-cluster-server-5.6,
 percona-xtradb-server-5.0,
 virtual-mysql-server,
 virtual-mysql-server-core,
Description: Percona XtraDB Cluster database server binaries
 Percona XtraDB Cluster is based on the Percona Server database
 server and provides a High Availability solution.
 Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic
 node provisioning with primary focus on data consistency.
 .
 This package includes the server binaries.

Package: percona-xtradb-cluster-source-5.7
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Percona XtraDB Cluster 5.7 source
 This package includes the source code to Percona XtraDB Cluster as configured before building.
