=== debian/watch ===
version=3
https://repo.percona.com/apt/pool/main/p/percona-xtradb-cluster-5.7/ percona-xtradb-cluster-5.7_(.*).orig.tar.gz
